%define module	Data-Structure-Util
%define name	perl-%{module}
%define version 0.15
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Change nature of data within a structure
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Data/%{module}-%{version}.tar.bz2
BuildRequires:  perl-devel
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Clone)
BuildRequires:	perl(File::Find::Rule)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
"Data::Structure::Util" is a toolbox to manipulate the data inside a
data structure. It can process an entire tree and perform the
operation requested on each appropriate element.

For example: It can transform all strings within a data structure to
utf8 or transform any utf8 string back to the default encoding. It can
remove the blessing on any reference. It can collect all the objects
or detect if there is a circular reference.

It is written in C for decent speed.


%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data
%{_mandir}/man?/*	       


%changelog
* Tue Mar 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2008.1
+ Revision: 185217
- new version

* Sun Mar 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-1mdv2008.1
+ Revision: 183113
- update to new version 0.13

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.12-3mdv2008.1
+ Revision: 135831
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.12-3mdv2007.0
+ Revision: 73484
- import perl-Data-Structure-Util-0.12-3mdv2007.1

* Tue Jul 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.12-2mdv2007.0
- switch to Module::Build build
- spec cleanup
- rpmbuildupdate aware
- fix directory ownership
- fix license
- non-redundant summary
- drop redundant perl buildrequires
- better URL

* Mon Jul 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2007.0
- initial Mandriva package

